Intermittent test_bug674770-1.html | The click operation worked successfully | The click operation shouldn't work in the contenteditable area

RESOLVED FIXED in Firefox 50

Status

()

Core
Editor
P5
normal
RESOLVED FIXED
4 years ago
2 years ago

People

(Reporter: KWierso, Assigned: masayuki)

Tracking

(Blocks: 1 bug, {intermittent-failure})

Trunk
mozilla52
x86_64
Mac OS X
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(e10s+, firefox45 wontfix, firefox46 wontfix, firefox47 wontfix, firefox48 disabled, firefox49 disabled, firefox50 fixed, firefox51 fixed, firefox52 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments)

(Reporter)

Description

4 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=34571408&tree=Mozilla-Inbound
slave: talos-r4-snow-020



11:25:05     INFO -  1073 INFO TEST-INFO | MEMORY STAT vsize after test: 3426574336
11:25:05     INFO -  1074 INFO TEST-INFO | MEMORY STAT residentFast after test: 348143616
11:25:05     INFO -  1075 INFO TEST-END | /tests/editor/libeditor/html/tests/test_bug668599.html | finished in 498ms
11:25:05     INFO -  [950] WARNING: NS_ENSURE_TRUE(mDisabledJSAndPlugins) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/composer/src/nsEditingSession.cpp, line 208
11:25:05     INFO -  ++DOMWINDOW == 44 (0x12aa0b3c8) [pid = 950] [serial = 1206] [outer = 0x128c2f3d8]
11:25:05     INFO -  1076 INFO TEST-START | /tests/editor/libeditor/html/tests/test_bug674770-1.html
11:25:05     INFO -  ++DOMWINDOW == 45 (0x1336e7b48) [pid = 950] [serial = 1207] [outer = 0x128c2f3d8]
11:25:06     INFO -  [950] WARNING: NS_ENSURE_TRUE(aSelection->GetRangeCount()) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/base/nsEditor.cpp, line 3805
11:25:06     INFO -  [950] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/base/nsEditor.cpp, line 3784
11:25:06     INFO -  [950] WARNING: NS_ENSURE_SUCCESS(res, res) failed with result 0x80004005: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/html/nsHTMLEditRules.cpp, line 316
11:25:06     INFO -  [950] WARNING: NS_ENSURE_TRUE(aSelection->GetRangeCount()) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/base/nsEditor.cpp, line 3805
11:25:06     INFO -  [950] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/base/nsEditor.cpp, line 3784
11:25:06     INFO -  [950] WARNING: NS_ENSURE_SUCCESS(res, res) failed with result 0x80004005: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/html/nsHTMLEditRules.cpp, line 8482
11:25:06     INFO -  [950] WARNING: NS_ENSURE_TRUE(editor) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/libeditor/base/nsEditorCommands.cpp, line 549
11:25:06     INFO -  [950] WARNING: NS_ENSURE_TRUE(rootContent) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/composer/src/nsEditorSpellCheck.cpp, line 697
11:25:06     INFO -  1077 INFO TEST-INFO | /tests/editor/libeditor/html/tests/test_bug674770-1.html | must wait for load
11:25:06     INFO -  [950] WARNING: NS_ENSURE_TRUE(rootContent) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/composer/src/nsEditorSpellCheck.cpp, line 697
11:25:06     INFO -  [950] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/slave/m-in-osx64-d-00000000000000000/build/extensions/spellcheck/src/mozInlineSpellChecker.cpp, line 2030
11:25:06     INFO -  ++DOCSHELL 0x13cbe44f0 == 9 [pid = 950] [id = 276]
11:25:06     INFO -  ++DOMWINDOW == 46 (0x1373b9dd8) [pid = 950] [serial = 1208] [outer = 0x0]
11:25:06     INFO -  ++DOMWINDOW == 47 (0x1316bec58) [pid = 950] [serial = 1209] [outer = 0x1373b9dd8]
11:25:06     INFO -  --DOMWINDOW == 46 (0x1399b1fb8) [pid = 950] [serial = 1201] [outer = 0x13b4937c8] [url = about:blank]
11:25:07     INFO -  --DOMWINDOW == 45 (0x13b4937c8) [pid = 950] [serial = 1199] [outer = 0x0] [url = about:blank]
11:25:07     INFO -  1078 ERROR TEST-UNEXPECTED-FAIL | /tests/editor/libeditor/html/tests/test_bug674770-1.html | The click operation worked successfully
11:25:07     INFO -  [950] ###!!! ASSERTION: frame must not be dirty: '!NS_SUBTREE_DIRTY(this)', file /builds/slave/m-in-osx64-d-00000000000000000/build/layout/generic/nsFrame.cpp, line 1259
11:25:07     INFO -  JSPrincipals::dump()+0x00b3eb94 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b824b4]
11:25:07     INFO -  JSPrincipals::dump()+0x00b40dfa [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b8471a]
11:25:07     INFO -  JSPrincipals::dump()+0x00b40614 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b83f34]
11:25:07     INFO -  JSPrincipals::dump()+0x00b40155 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b83a75]
11:25:07     INFO -  JSPrincipals::dump()+0x00b40c1d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b8453d]
11:25:07     INFO -  JSPrincipals::dump()+0x00c23a1d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01c6733d]
11:25:07     INFO -  JSPrincipals::dump()+0x00c2d9df [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01c712ff]
11:25:07     INFO -  JSPrincipals::dump()+0x008d50bb [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x019189db]
11:25:07     INFO -  JSPrincipals::dump()+0x0096d0b2 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x019b09d2]
11:25:07     INFO -  JSPrincipals::dump()+0x008c8949 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x0190c269]
11:25:07     INFO -  nsHTMLEditor::InsertFromTransferable(nsITransferable*, nsIDOMDocument*, nsAString_internal const&, nsAString_internal const&, nsIDOMNode*, int, bool) [obj-firefox/dist/include/nsCOMPtr.h:515]
11:25:07     INFO -  JSPrincipals::dump()+0x009137ab [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x019570cb]
11:25:07     INFO -  nsEditorEventListener::MouseClick(nsIDOMEvent*) [obj-firefox/dist/include/nsCOMPtr.h:822]
11:25:07     INFO -  JSPrincipals::dump()+0x009711c6 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x019b4ae6]
11:25:07     INFO -  JSPrincipals::dump()+0x008e1ac4 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x019253e4]
11:25:07     INFO -  JSPrincipals::dump()+0x001bbfe4 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011ff904]
11:25:07     INFO -  JSPrincipals::dump()+0x001bc3ab [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011ffccb]
11:25:07     INFO -  JSPrincipals::dump()+0x001c5f91 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x012098b1]
11:25:07     INFO -  JSPrincipals::dump()+0x001b50ce [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011f89ee]
11:25:07     INFO -  JSPrincipals::dump()+0x001b6925 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011fa245]
11:25:07     INFO -  JSPrincipals::dump()+0x00ad1305 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b14c25]
11:25:07     INFO -  JSPrincipals::dump()+0x00ad17b1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b150d1]
11:25:07     INFO -  JSPrincipals::dump()+0x0016f2e2 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011b2c02]
11:25:07     INFO -  JSPrincipals::dump()+0x0016c77d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x011b009d]
11:25:07     INFO -  JSPrincipals::dump()+0x00ad13c1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b14ce1]
11:25:07     INFO -  JSPrincipals::dump()+0x00ad04eb [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b13e0b]
11:25:07     INFO -  JSPrincipals::dump()+0x00ad0153 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01b13a73]
11:25:07     INFO -  nsViewManager::DispatchEvent(mozilla::WidgetGUIEvent*, nsView*, nsEventStatus*) [obj-firefox/dist/include/nsCOMPtr.h:515]
11:25:07     INFO -  JSPrincipals::dump()+0x00401669 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01444f89]
11:25:07     INFO -  mac_plugin_interposing_child_OnShowCursor+0x000412ea [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00ecddca]
11:25:07     INFO -  JSPrincipals::dump()+0x0006becc [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010af7ec]
11:25:07     INFO -  JSPrincipals::dump()+0x0006b9ce [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010af2ee]
11:25:07     INFO -  NS_InvokeByIndex+0x0000021d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x000ac3ed]
11:25:07     INFO -  DumpCompleteHeap+0x00005124 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x0101ffe4]
11:25:07     INFO -  nsCxPusher::~nsCxPusher()+0x0001265b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010092bb]
11:25:07     INFO -  nsCxPusher::~nsCxPusher()+0x000142bb [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x0100af1b]
11:25:07     INFO -  js::DeadObjectProxy::~DeadObjectProxy()+0x00005cc1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c3f7e1]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc3b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19c9b]
11:25:07     INFO -  js_ReportIsNotFunction(JSContext*, JS::Handle<JS::Value>)+0x000036bf [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02aa89af]
11:25:07     INFO -  js::DeadObjectProxy::~DeadObjectProxy()+0x00005cc1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c3f7e1]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc3b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19c9b]
11:25:07     INFO -  js_ReportIsNotFunction(JSContext*, JS::Handle<JS::Value>)+0x00002e63 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02aa8153]
11:25:07     INFO -  js::DeadObjectProxy::~DeadObjectProxy()+0x00005cc1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c3f7e1]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc3b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19c9b]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x00025501 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c13561]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0001c35d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c0a3bd]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc4f [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19caf]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x000073ed [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02bf544d]
11:25:07     INFO -  js_GetScriptLineExtent(JSScript*)+0x0002aa16 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b8b4e6]
11:25:07     INFO -  js::AppendUnique(JSContext*, JS::AutoIdVector&, JS::AutoIdVector&)+0x0000196e [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b5457e]
11:25:07     INFO -  js::proxy_Call(JSContext*, unsigned int, JS::Value*)+0x00000074 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b573f4]
11:25:07     INFO -  js::DeadObjectProxy::~DeadObjectProxy()+0x00005cc1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c3f7e1]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc3b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19c9b]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x000073ed [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02bf544d]
11:25:07     INFO -  js::BaseProxyHandler::slice(JSContext*, JS::Handle<JSObject*>, unsigned int, unsigned int, JS::Handle<JSObject*>)+0x00000af2 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b4a8d2]
11:25:07     INFO -  js::CrossCompartmentWrapper::call(JSContext*, JS::Handle<JSObject*>, JS::CallArgs const&)+0x0000019a [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02beab2a]
11:25:07     INFO -  js::AppendUnique(JSContext*, JS::AutoIdVector&, JS::AutoIdVector&)+0x0000196e [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b5457e]
11:25:07     INFO -  js::proxy_Call(JSContext*, unsigned int, JS::Value*)+0x00000074 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02b573f4]
11:25:07     INFO -  js::DeadObjectProxy::~DeadObjectProxy()+0x00005cc1 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c3f7e1]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc3b [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19c9b]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x00025501 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c13561]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0001c35d [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c0a3bd]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x0002bc4f [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02c19caf]
11:25:07     INFO -  JS::ExtractPerfMeasurement(JS::Value)+0x000073ed [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02bf544d]
11:25:07     INFO -  JS::PrepareZoneForGC(JS::Zone*)+0x00000d83 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02a88cf3]
11:25:07     INFO -  imgLoader::SupportImageWithMimeType(char const*)+0x00194a40 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00ae4a00]
11:25:07     INFO -  JSPrincipals::dump()+0x000c32e8 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x01106c08]
11:25:07     INFO -  JSPrincipals::dump()+0x000ab696 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010eefb6]
11:25:07     INFO -  JSPrincipals::dump()+0x0009e665 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010e1f85]
11:25:07     INFO -  JSPrincipals::dump()+0x000ab287 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x010eeba7]
11:25:07     INFO -  XRE_AddJarManifestLocation+0x00010379 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x000a54a9]
11:25:07     INFO -  XRE_AddJarManifestLocation+0x00010660 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x000a5790]
11:25:07     INFO -  XRE_AddJarManifestLocation+0x0000c2ef [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x000a141f]
11:25:07     INFO -  UNKNOWN [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00014f5d]
11:25:07     INFO -  mac_plugin_interposing_child_OnShowCursor+0x000bebaa [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00f4b68a]
11:25:07     INFO -  mac_plugin_interposing_child_OnShowCursor+0x000772bf [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00f03d9f]
11:25:07     INFO -  __CFRunLoopDoSources0+0x00000551 [/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation +0x0004e401]
11:25:07     INFO -  __CFRunLoopRun+0x00000369 [/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation +0x0004c5f9]
11:25:07     INFO -  CFRunLoopRunSpecific+0x0000023f [/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation +0x0004bdbf]
11:25:07     INFO -  RunCurrentEventLoopInMode+0x0000014d [/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox +0x0002e7ee]
11:25:07     INFO -  ReceiveNextEventCommon+0x00000136 [/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox +0x0002e5f3]
11:25:07     INFO -  BlockUntilNextEventMatchingListInMode+0x0000003b [/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox +0x0002e4ac]
11:25:07     INFO -  _DPSNextEvent+0x000002c4 [/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit +0x00043eb2]
11:25:07     INFO -  -AppKit + 0x43801
11:25:07     INFO -  mac_plugin_interposing_child_OnShowCursor+0x00076906 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00f033e6]
11:25:07     INFO -  -[NSApplication run]+0x0000018b [/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit +0x0000968f]
11:25:07     INFO -  mac_plugin_interposing_child_OnShowCursor+0x00077907 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x00f043e7]
11:25:07     INFO -  XRE_StartupTimelineRecord+0x00000b92 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02184db2]
11:25:07     INFO -  XRE_InitCommandLine+0x000054df [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x02113a6f]
11:25:07     INFO -  XRE_InitCommandLine+0x00005b35 [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x021140c5]
11:25:07     INFO -  XRE_main+0x000000ee [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/XUL +0x0211447e]
11:25:07     INFO -  start+0x00000b3c [/builds/slave/talos-slave/test/build/application/FirefoxNightlyDebug.app/Contents/MacOS/firefox +0x000022ac]
11:25:07     INFO -  ++DOMWINDOW == 46 (0x13b2dae28) [pid = 950] [serial = 1210] [outer = 0x1373b9dd8]
11:25:07     INFO -  1079 ERROR TEST-UNEXPECTED-FAIL | /tests/editor/libeditor/html/tests/test_bug674770-1.html | The click operation shouldn't work in the contenteditable area
11:25:07     INFO -  1080 INFO TEST-INFO | MEMORY STAT vsize after test: 3425923072
11:25:07     INFO -  1081 INFO TEST-INFO | MEMORY STAT residentFast after test: 349319168
11:25:07     INFO -  1082 INFO TEST-END | /tests/editor/libeditor/html/tests/test_bug674770-1.html | finished in 2166ms
11:25:07     INFO -  [950] WARNING: NS_ENSURE_TRUE(mDisabledJSAndPlugins) failed: file /builds/slave/m-in-osx64-d-00000000000000000/build/editor/composer/src/nsEditingSession.cpp, line 208
11:25:07     INFO -  ++DOMWINDOW == 47 (0x133ba4058) [pid = 950] [serial = 1211] [outer = 0x128c2f3d8]
11:25:08     INFO -  1083 INFO TEST-KNOWN-FAIL | /tests/editor/libeditor/html/tests/test_bug674770-1.html | Assertion count 1 within expected range 1-1 assertions.
11:25:08     INFO -  1084 INFO TEST-START | /tests/editor/libeditor/html/tests/test_bug674770-2.html
11:25:08     INFO -  ++DOMWINDOW == 48 (0x13b285368) [pid = 950] [serial = 1212] [outer = 0x128c2f3d8]
11:25:08     INFO -  ++DOCSHELL 0x1093d89a0 == 10 [pid = 950] [id = 277]
Comment hidden (Treeherder Robot)

Comment 2

3 years ago
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME

Comment 3

3 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 6
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2015-11-02&endday=2015-11-08&tree=all
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 4

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 3
* try: 1
* fx-team: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 5

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 2
* try: 1
* mozilla-inbound: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 6

3 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 4
* mozilla-inbound: 3
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 5
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 7

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* fx-team: 2
* try: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-01-11&endday=2016-01-17&tree=all
status-firefox45: --- → affected
status-firefox46: --- → affected

Comment 8

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* mozilla-aurora: 2
* fx-team: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-01-25&endday=2016-01-31&tree=all

Comment 9

2 years ago
12 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 3
* mozilla-beta: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 6
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-08&endday=2016-02-14&tree=all

Comment 10

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* try: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux64: 15
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-25&endday=2016-02-25&tree=all

Comment 11

2 years ago
21 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 14
* fx-team: 3
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 16
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-26&endday=2016-02-26&tree=all

Comment 12

2 years ago
69 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 43
* fx-team: 12
* mozilla-central: 7
* try: 6
* mozilla-aurora: 1

Platform breakdown:
* linux64: 54
* linux32: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-22&endday=2016-02-28&tree=all

Comment 13

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 12
* fx-team: 3
* try: 2

Platform breakdown:
* linux64: 14
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-29&endday=2016-02-29&tree=all

Comment 14

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 5
* mozilla-central: 3
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 11
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-01&endday=2016-03-01&tree=all

Comment 15

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 6
* mozilla-central: 2

Platform breakdown:
* linux64: 12
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-02&endday=2016-03-02&tree=all

Comment 16

2 years ago
88 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 49
* fx-team: 24
* mozilla-central: 8
* try: 5
* mozilla-aurora: 2

Platform breakdown:
* linux64: 68
* linux32: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-02-29&endday=2016-03-06&tree=all

Comment 17

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 3
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 11
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-08&endday=2016-03-08&tree=all

Comment 18

2 years ago
28 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 16
* try: 5
* fx-team: 4
* mozilla-central: 3

Platform breakdown:
* linux64: 18
* linux32: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-09&endday=2016-03-09&tree=all

Comment 19

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 6
* try: 1
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 16
* linux32: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-11&endday=2016-03-11&tree=all

Comment 20

2 years ago
105 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 53
* fx-team: 20
* try: 19
* mozilla-central: 11
* mozilla-aurora: 2

Platform breakdown:
* linux64: 68
* linux32: 37

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-07&endday=2016-03-13&tree=all

Comment 21

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* mozilla-central: 3
* mozilla-aurora: 2
* fx-team: 2
* try: 1

Platform breakdown:
* linux64: 11
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-15&endday=2016-03-15&tree=all

Comment 22

2 years ago
22 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 6
* mozilla-central: 4
* mozilla-aurora: 2
* try: 1
* ash: 1

Platform breakdown:
* linux64: 14
* linux32: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-16&endday=2016-03-16&tree=all
Whiteboard: [e10s-orangeblockers]
tracking-e10s: --- → ?

Comment 23

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* mozilla-aurora: 3
* fx-team: 3
* mozilla-central: 2

Platform breakdown:
* linux64: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-17&endday=2016-03-17&tree=all

Comment 24

2 years ago
21 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 4
* try: 3
* mozilla-aurora: 3
* mozilla-central: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 16
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-18&endday=2016-03-18&tree=all

Comment 25

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 5
* fx-team: 5
* mozilla-aurora: 4
* mozilla-central: 1

Platform breakdown:
* linux64: 8
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-19&endday=2016-03-19&tree=all

Comment 26

2 years ago
113 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 48
* fx-team: 21
* mozilla-aurora: 18
* mozilla-central: 14
* try: 10
* mozilla-beta: 1
* ash: 1

Platform breakdown:
* linux64: 66
* linux32: 47

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-14&endday=2016-03-20&tree=all

Updated

2 years ago
Blocks: 984139
tracking-e10s: ? → +
The test here just looks crummy. I can try fixing it so it isn't as racey.
Assignee: nobody → continuation
Flags: needinfo?(continuation)
Created attachment 8734453 [details] [diff] [review]
Don't spin the event loop 100 times in test_bug674770-1.html.

Here's a WIP. I don't know if there's a good way to asynchronously check that some event is _not_ fired.
Flags: needinfo?(continuation)

Comment 29

2 years ago
37 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 11
* mozilla-inbound: 10
* try: 8
* mozilla-aurora: 4
* mozilla-central: 3
* mozilla-beta: 1

Platform breakdown:
* linux32: 20
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-21&endday=2016-03-27&tree=all
Comment on attachment 8734453 [details] [diff] [review]
Don't spin the event loop 100 times in test_bug674770-1.html.

Ehsan, you wrote this test. Does this look reasonable? I'm concerned that for the "The click operation shouldn't work in the contenteditable area" test that it won't actually fail if the page goes away too quickly or something.
Attachment #8734453 - Flags: feedback?(ehsan)

Comment 31

2 years ago
(In reply to Andrew McCreight [:mccr8] from comment #30)
> Comment on attachment 8734453 [details] [diff] [review]
> Don't spin the event loop 100 times in test_bug674770-1.html.
> 
> Ehsan, you wrote this test. 

No, I reviewed it.  :-)  Masayuki is the author.

> Does this look reasonable? I'm concerned that
> for the "The click operation shouldn't work in the contenteditable area"
> test that it won't actually fail if the page goes away too quickly or
> something.

We set the local storage before closing the window, so I don't think that's an issue.

Updated

2 years ago
Attachment #8734453 - Flags: feedback?(ehsan) → feedback+

Comment 32

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* mozilla-aurora: 9
* fx-team: 4
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 20
* linux32: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-03-28&endday=2016-04-03&tree=all

Comment 33

2 years ago
31 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 7
* mozilla-aurora: 5
* mozilla-central: 3
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 19
* linux32: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-04-04&endday=2016-04-10&tree=all

Comment 34

2 years ago
34 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 10
* mozilla-inbound: 9
* fx-team: 7
* try: 4
* mozilla-central: 3
* ash: 1

Platform breakdown:
* linux64: 22
* linux32: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-04-11&endday=2016-04-17&tree=all
Assignee: continuation → nobody

Comment 35

2 years ago
44 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* mozilla-aurora: 12
* fx-team: 9
* mozilla-central: 4
* try: 3
* ash: 1

Platform breakdown:
* linux64: 24
* linux32: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-04-18&endday=2016-04-24&tree=all
https://hg.mozilla.org/integration/mozilla-inbound/rev/95a303509a13
status-firefox45: affected → wontfix
status-firefox46: affected → wontfix
status-firefox47: --- → affected
status-firefox48: --- → affected
status-firefox49: --- → disabled
Keywords: leave-open
Whiteboard: [e10s-orangeblockers] → [test disabled on Linux debug e10s]

Comment 38

2 years ago
45 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 17
* fx-team: 11
* mozilla-aurora: 5
* try: 4
* mozilla-central: 4
* ash: 3
* mozilla-beta: 1

Platform breakdown:
* linux32: 28
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-04-25&endday=2016-05-01&tree=all

Comment 40

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-beta: 4
* mozilla-aurora: 1

Platform breakdown:
* osx-10-10: 4
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-05-16&endday=2016-05-22&tree=all
status-firefox47: affected → wontfix

Comment 41

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 7
* mozilla-inbound: 1

Platform breakdown:
* linux64: 4
* linux32: 3
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 42

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* autoland: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 7
* windows7-32-vm: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-06-27&endday=2016-07-03&tree=all
Intermittent e10s test failure
Priority: -- → P5

Comment 44

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* autoland: 2
* try: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 7
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 45

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 2
* try: 1
* mozilla-central: 1
* autoland: 1
* ash: 1

Platform breakdown:
* windows7-32: 4
* windows8-64: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-07-11&endday=2016-07-17&tree=all

Comment 46

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* ash: 3
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows7-32: 3
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-07-25&endday=2016-07-31&tree=all

Comment 47

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* mozilla-inbound: 3
* autoland: 2
* ash: 2
* mozilla-central: 1

Platform breakdown:
* windows7-32: 7
* windows7-32-vm: 3
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-08-01&endday=2016-08-07&tree=all

Comment 48

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 4
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-08-08&endday=2016-08-14&tree=all

Comment 49

2 years ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 11
* mozilla-inbound: 5
* mozilla-central: 1
* fx-team: 1
* ash: 1

Platform breakdown:
* linux64: 12
* linux32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-08-15&endday=2016-08-21&tree=all

Comment 50

2 years ago
17 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* autoland: 6
* try: 2
* oak: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux32: 10
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 51

2 years ago
22 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 7
* mozilla-inbound: 6
* mozilla-central: 3
* fx-team: 3
* try: 1
* oak: 1
* ash: 1

Platform breakdown:
* linux64: 15
* linux32: 5
* windowsxp: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-08-29&endday=2016-09-04&tree=all

Comment 52

2 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 6
* mozilla-inbound: 5
* fx-team: 5
* try: 3
* mozilla-central: 2

Platform breakdown:
* linux64: 12
* linux32: 8
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-05&endday=2016-09-11&tree=all

Comment 53

2 years ago
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* mozilla-central: 10
* autoland: 6
* fx-team: 4
* try: 2
* ash: 1

Platform breakdown:
* windows7-32: 15
* linux64: 15
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 54

2 years ago
25 automation job failures were associated with this bug yesterday.

Repository breakdown:
* fx-team: 7
* autoland: 6
* mozilla-inbound: 5
* try: 4
* mozilla-central: 2
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 12
* linux64: 8
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-19&endday=2016-09-19&tree=all

Comment 55

2 years ago
28 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* autoland: 7
* try: 6
* fx-team: 4
* mozilla-central: 2

Platform breakdown:
* windows7-32: 15
* linux32: 7
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-20&endday=2016-09-20&tree=all
Masayuki, it seems the frequency of this failure is increasing recently. Can you take a quick look and see what we should do? Thank you.
Flags: needinfo?(masayuki)
Blocks: 674770
Comment hidden (mozreview-request)
Oh, "part.1" remains...
Assignee: nobody → masayuki
Status: REOPENED → ASSIGNED
Flags: needinfo?(masayuki)
Comment hidden (mozreview-request)

Comment 63

2 years ago
mozreview-review
Comment on attachment 8793338 [details]
Bug 972110 Rewrite editor/libeditor/test_bug674770-1.html without setTimeout() for avoiding intermittent failure

https://reviewboard.mozilla.org/r/80092/#review78788

r+ with the name changed and the comment explained (given that this is just a test).

::: editor/libeditor/tests/test_bug674770-1.html:60
(Diff revision 2)
> -
> -    hitEventLoop(function() {
> -      ok(!window.linkWasClicked, "The click operation shouldn't work in the contenteditable area");
>  
> -      localStorage.removeItem("clicked");
> -      SimpleTest.finish();
> +  SpecialPowers.addSystemEventListener(window, "click", function (aEvent) {
> +    // If the click event should cause default action, e.g., opening the link, it shouldn't have been consumed by the editor in e10s mode.

I don't understand this comment. What here is e10s specific code? We run this all in both e10s and non-e10s. 
Why do we have different default-prevented handling in e10s?

::: testing/specialpowers/content/specialpowersAPI.js:1600
(Diff revision 2)
>        removeSystemEventListener(target, type, listener, useCapture);
>    },
>  
> +  // helper method to check if the event is consumed by either default group's
> +  // event listener or system group's event listener.
> +  defaultPreventedInAnyGroups: function(event) {

I think this should be *AnyGroup, not *AnyGroups.
Attachment #8793338 - Flags: review?(bugs) → review+

Comment 64

2 years ago
19 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 6
* autoland: 5
* mozilla-central: 3
* fx-team: 3
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* linux64: 7
* windows7-32: 6
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-21&endday=2016-09-21&tree=all
(Assignee)

Comment 65

2 years ago
mozreview-review
Comment on attachment 8793338 [details]
Bug 972110 Rewrite editor/libeditor/test_bug674770-1.html without setTimeout() for avoiding intermittent failure

https://reviewboard.mozilla.org/r/80092/#review78944

::: editor/libeditor/tests/test_bug674770-1.html:60
(Diff revision 2)
> -
> -    hitEventLoop(function() {
> -      ok(!window.linkWasClicked, "The click operation shouldn't work in the contenteditable area");
>  
> -      localStorage.removeItem("clicked");
> -      SimpleTest.finish();
> +  SpecialPowers.addSystemEventListener(window, "click", function (aEvent) {
> +    // If the click event should cause default action, e.g., opening the link, it shouldn't have been consumed by the editor in e10s mode.

I don't know how we can detect if it's running in e10s mode or not. Therefore, I made it run always same path. 

if (currentTest.linkShouldWork) {
  return;
}

This is what is the hack (older patch checks Event.defaultPrevented when currentTest.linkShouldWork is true, but it causes permanent failure in non-e10s mode).

And I'm not familiar with link click handling though, I guess that it's performed in chrome.  Then, e10s needs extra event loop after the propagation.
Comment hidden (mozreview-request)
(Assignee)

Comment 67

2 years ago
mozreview-review-reply
Comment on attachment 8793338 [details]
Bug 972110 Rewrite editor/libeditor/test_bug674770-1.html without setTimeout() for avoiding intermittent failure

https://reviewboard.mozilla.org/r/80092/#review78788

> I think this should be *AnyGroup, not *AnyGroups.

Fixed.
(Assignee)

Comment 68

2 years ago
mozreview-review-reply
Comment on attachment 8793338 [details]
Bug 972110 Rewrite editor/libeditor/test_bug674770-1.html without setTimeout() for avoiding intermittent failure

https://reviewboard.mozilla.org/r/80092/#review78944

> I don't know how we can detect if it's running in e10s mode or not. Therefore, I made it run always same path. 
> 
> if (currentTest.linkShouldWork) {
>   return;
> }
> 
> This is what is the hack (older patch checks Event.defaultPrevented when currentTest.linkShouldWork is true, but it causes permanent failure in non-e10s mode).
> 
> And I'm not familiar with link click handling though, I guess that it's performed in chrome.  Then, e10s needs extra event loop after the propagation.

New comment:

    // When the click event should cause default action, e.g., opening the link,
    // the event shouldn't have been consumed except the link handler.
    // However, in e10s mode, it's not consumed during propagating the event but
    // in non-e10s mode, it's consumed during the propagation.  Therefore,
    // we cannot check defaultPrevented value when the link should work as is
    // if there is no way to detect if it's running in e10s mode or not.
    // So, let's skip checking Event.defaultPrevented value when the link should
    // work.  In such case, we should receive "storage" event later.

Comment 70

2 years ago
Pushed by masayuki@d-toybox.com:
https://hg.mozilla.org/integration/autoland/rev/6aa8b6ad3d29
Rewrite editor/libeditor/test_bug674770-1.html without setTimeout() for avoiding intermittent failure r=smaug
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago2 years ago
status-firefox50: --- → affected
status-firefox51: --- → affected
status-firefox52: --- → fixed
Keywords: leave-open
Resolution: --- → FIXED
Whiteboard: [test disabled on Linux debug e10s]
Target Milestone: --- → mozilla52

Comment 72

2 years ago
Pushed by cbook@mozilla.com:
https://hg.mozilla.org/mozilla-central/rev/60cc643978c7
fix test_bug674770-1.html after merge conflict a=me
Hi Masayuki, i had to fix a merge conflict when merging this to m-c - can you check if http://hg.mozilla.org/mozilla-central/rev/60cc643978c7 is the expected result.

Thanks!
Flags: needinfo?(masayuki)
Yeah, looks like the fix is correct. Thank you for your work!
Flags: needinfo?(masayuki)
I wonder if this test even needs to force single-process mode now that it was rewritten.

Comment 76

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/13ed0212fab7
status-firefox51: affected → fixed
Flags: in-testsuite+

Comment 77

2 years ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/577dee385e6b
status-firefox50: affected → fixed

Comment 78

2 years ago
93 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 23
* autoland: 22
* fx-team: 18
* try: 16
* mozilla-central: 8
* mozilla-aurora: 6

Platform breakdown:
* windows7-32: 41
* linux64: 30
* linux32: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=972110&startday=2016-09-19&endday=2016-09-25&tree=all
You need to log in before you can comment on or make changes to this bug.